pidgin: _GtkIMHtml Struct Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Fields
_GtkIMHtml Struct Reference

## Data Fields
GtkTextView | text_view
GtkTextBuffer * | text_buffer
GdkCursor * | hand_cursor
GdkCursor * | arrow_cursor
GdkCursor * | text_cursor
GHashTable * | smiley_data
GtkSmileyTree * | default_smilies
char * | protocol_name
guint | scroll_src
GTimer * | scroll_time
GQueue * | animations
int | num_animations
gboolean | show_comments
GtkWidget * | tip_window
char * | tip
guint | tip_timer
GtkTextTag * | prelit_tag
GList * | scalables
GdkRectangle | old_rect
gchar * | search_string
gboolean | editable
GtkIMHtmlButtons | format_functions
gboolean | wbfo
gint | insert_offset
struct {
gboolean bold:1
gboolean italic:1
gboolean underline:1
gboolean strike:1
gchar * forecolor
gchar * backcolor
gchar * background
gchar * fontface
int fontsize
GtkTextTag * link
} | edit
char * | clipboard_text_string
char * | clipboard_html_string
GSList * | im_images
GtkIMHtmlFuncs * | funcs
GtkSourceUndoManager * | undo_manager

## Detailed Description

Definition at line 93 of file gtkimhtml.h.

## Field Documentation

## ◆ animations

GQueue* _GtkIMHtml::animations

Definition at line 104 of file gtkimhtml.h.

## ◆ arrow_cursor

GdkCursor* _GtkIMHtml::arrow_cursor

Definition at line 97 of file gtkimhtml.h.

## ◆ backcolor

gchar* _GtkIMHtml::backcolor

Definition at line 131 of file gtkimhtml.h.

## ◆ background

gchar* _GtkIMHtml::background

Definition at line 132 of file gtkimhtml.h.

## ◆ bold

gboolean _GtkIMHtml::bold

Definition at line 126 of file gtkimhtml.h.

## ◆ clipboard_html_string

char* _GtkIMHtml::clipboard_html_string

Deprecated:

Definition at line 142 of file gtkimhtml.h.

## ◆ clipboard_text_string

char* _GtkIMHtml::clipboard_text_string

Deprecated:

Definition at line 140 of file gtkimhtml.h.

## ◆ default_smilies

GtkSmileyTree* _GtkIMHtml::default_smilies

Definition at line 100 of file gtkimhtml.h.

## ◆ editable

gboolean _GtkIMHtml::editable

Definition at line 119 of file gtkimhtml.h.

## ◆ fontface

gchar* _GtkIMHtml::fontface

Definition at line 133 of file gtkimhtml.h.

## ◆ fontsize

int _GtkIMHtml::fontsize

Definition at line 134 of file gtkimhtml.h.

## ◆ forecolor

gchar* _GtkIMHtml::forecolor

Definition at line 130 of file gtkimhtml.h.

## ◆ format_functions

GtkIMHtmlButtons _GtkIMHtml::format_functions

Definition at line 120 of file gtkimhtml.h.

## ◆ funcs

GtkIMHtmlFuncs* _GtkIMHtml::funcs

Definition at line 149 of file gtkimhtml.h.

## ◆ hand_cursor

GdkCursor* _GtkIMHtml::hand_cursor

Definition at line 96 of file gtkimhtml.h.

## ◆ im_images

GSList* _GtkIMHtml::im_images

Definition at line 148 of file gtkimhtml.h.

## ◆ insert_offset

gint _GtkIMHtml::insert_offset

Definition at line 123 of file gtkimhtml.h.

## ◆ italic

gboolean _GtkIMHtml::italic

Definition at line 127 of file gtkimhtml.h.

## ◆ link

GtkTextTag* _GtkIMHtml::link

Definition at line 135 of file gtkimhtml.h.

## ◆ num_animations

int _GtkIMHtml::num_animations

Definition at line 105 of file gtkimhtml.h.

## ◆ old_rect

GdkRectangle _GtkIMHtml::old_rect

Definition at line 115 of file gtkimhtml.h.

## ◆ prelit_tag

GtkTextTag* _GtkIMHtml::prelit_tag

Definition at line 112 of file gtkimhtml.h.

## ◆ protocol_name

char* _GtkIMHtml::protocol_name

Definition at line 101 of file gtkimhtml.h.

## ◆ scalables

GList* _GtkIMHtml::scalables

Definition at line 114 of file gtkimhtml.h.

## ◆ scroll_src

guint _GtkIMHtml::scroll_src

Definition at line 102 of file gtkimhtml.h.

## ◆ scroll_time

GTimer* _GtkIMHtml::scroll_time

Definition at line 103 of file gtkimhtml.h.

## ◆ search_string

gchar* _GtkIMHtml::search_string

Definition at line 117 of file gtkimhtml.h.

## ◆ show_comments

gboolean _GtkIMHtml::show_comments

Definition at line 107 of file gtkimhtml.h.

## ◆ smiley_data

GHashTable* _GtkIMHtml::smiley_data

Definition at line 99 of file gtkimhtml.h.

## ◆ strike

gboolean _GtkIMHtml::strike

Definition at line 129 of file gtkimhtml.h.

## ◆ text_buffer

GtkTextBuffer* _GtkIMHtml::text_buffer

Definition at line 95 of file gtkimhtml.h.

## ◆ text_cursor

GdkCursor* _GtkIMHtml::text_cursor

Definition at line 98 of file gtkimhtml.h.

## ◆ text_view

GtkTextView _GtkIMHtml::text_view

Definition at line 94 of file gtkimhtml.h.

## ◆ tip

char* _GtkIMHtml::tip

Definition at line 110 of file gtkimhtml.h.

## ◆ tip_timer

guint _GtkIMHtml::tip_timer

Definition at line 111 of file gtkimhtml.h.

## ◆ tip_window

GtkWidget* _GtkIMHtml::tip_window

Definition at line 109 of file gtkimhtml.h.

## ◆ underline

gboolean _GtkIMHtml::underline

Definition at line 128 of file gtkimhtml.h.

## ◆ undo_manager

GtkSourceUndoManager* _GtkIMHtml::undo_manager

Definition at line 150 of file gtkimhtml.h.

## ◆ wbfo

gboolean _GtkIMHtml::wbfo

Definition at line 121 of file gtkimhtml.h.

The documentation for this struct was generated from the following file:

- gtkimhtml.h